import functions as f

if __name__ == '__main__':
    print("===== Simulation océanographique =====")
    print('Hello, world!')
    dict_matrice = f.extract_csv()
    print("Voici notre dictionnaire de matrice après l'extraction du fichier excel en csv :")
    f.print_matrice_in_dict(dict_matrice)
    print("\nDonnez la position (x,y) sur la plage, où la marée a atteint le plus haut point :")
    point_le_plus_haut = f.point_plus_haut(dict_matrice)
    print(f"Le position où la marée atteint le point le plus haut est au coordonnées ({point_le_plus_haut[1]}, {point_le_plus_haut[2]}) sur la matrice '{point_le_plus_haut[0]}'")
    print("\nDonnez l'ensemble des points qui se retrouvent toujours immergés :")
    print("L'ensemble des points toujours immergés sont : ")
    point_alw_immerge = f.points_immerges(dict_matrice, 1)
    f.print_point_immerges(point_alw_immerge)
    print("\nDonnez l'ensemble des points qui se retrouvent jamais immergés :")
    point_nvr_immerge = f.points_immerges(dict_matrice, 0)
    f.print_point_immerges(point_nvr_immerge)
    print("\nPour un point quelconque sur la plage, et pour une période quelconque, indiquez le pourcentage de temps pendant lequel ce point s'est retrouvé sous l'eau :")
    print(f"Avec pour coordonnée (0,0) sur toute la période disponible, le pourcentage est de {f.pourcentage_sous_eau(dict_matrice, (0,0), ('2022-01-01-02','2022-01-02-12'))} %.")
    print(f"Avec pour coordonnée (1,2) de 2022-01-01-02 à 2022-01-01-18, le pourcentage est de {f.pourcentage_sous_eau(dict_matrice, (1,2), ('2022-01-01-02','2022-01-01-18'))} %.")
    print(f"Avec pour coordonnée (1,1) de 2022-01-01-18 à 2022-01-02-04, le pourcentage est de {f.pourcentage_sous_eau(dict_matrice, (1,1), ('2022-01-01-18','2022-01-02-04'))} %.")
    print("\nDonnez la date du jour où il y a eu le plus gros coefficient de marée :")
    jour_max_coef = f.max_coefficient_maree(dict_matrice)
    print(f"Le jour où le coefficient de marée à été le plus gros est {jour_max_coef[0]}.")
    print("\nDonnez la date du jour où il y a eu le plus faible coefficient de marée :")
    jour_min_coef = f.min_coefficient_maree(dict_matrice)
    print(f"Le jour où le coefficient de marée à été le plus gros est {jour_min_coef[0]}.")